<div class="align-items-stretch d-flex w-100 ">
    <app-side-bar></app-side-bar>
    <div class="main min-vh-100">
        <app-nav-bar [Navbar]="Branch"></app-nav-bar>
        <main class="content px-3 py-2 mt-3">
            <div class="container-fluid">
                <!-- Tu contenido principal aquí -->
                <form [formGroup]="form">
                    <div class="formulario-container">
                        <div class="formulario">
                            <h2>Formulario de sucursales</h2>

                            <label for="name">Nombre:</label>
                            <input type="text" id="name" name="name" required>
                            <small appErrorInput [touched]="form.controls['name'].touched"
                                [dirty]="form.controls['name'].dirty" [errors]="form.controls['name'].errors"
                                class="error-message"></small>

                            <div class="campo-dividido">
                                <div>
                                    <label for="address">Direccion:</label>
                                    <input type="text" id="address" name="address" required>
                                    <small appErrorInput [touched]="form.controls['address'].touched"
                                        [dirty]="form.controls['address'].dirty"
                                        [errors]="form.controls['address'].errors" class="error-message"></small>
                                </div>
                                <div>
                                    <label for="phone">Telefono:</label>
                                    <input type="number" id="phone" name="phone" required>
                                    <small appErrorInput [touched]="form.controls['phone'].touched"
                                        [dirty]="form.controls['phone'].dirty" [errors]="form.controls['phone'].errors"
                                        class="error-message"></small>
                                </div>
                            </div>

                            <label for="peopleCapacity">Capacidad:</label>
                            <input type="number" id="peopleCapacity" name="peopleCapacity" required>
                            <small appErrorInput [touched]="form.controls['peopleCapacity'].touched"
                                [dirty]="form.controls['peopleCapacity'].dirty"
                                [errors]="form.controls['peopleCapacity'].errors" class="error-message"></small>

                            <label for="schedule">Horarios:</label>
                            <input type="text" id="schedule" name="schedule" required>
                            <small appErrorInput [touched]="form.controls['schedule'].touched"
                                [dirty]="form.controls['schedule'].dirty" [errors]="form.controls['schedule'].errors"
                                class="error-message"></small>

                            <div>
                                <label for="city">Cuidad:</label>
                                <select id="city" name="city" formControlName="city">
                                    <option value="1">Quito</option>
                                    <option value="1">Guayaquil</option>
                                    <option value="1">Manta</option>
                                </select>
                                <small appErrorInput [touched]="form.controls['city'].touched"
                                    [dirty]="form.controls['city'].dirty" [errors]="form.controls['city'].errors"
                                    class="error-message"></small>
                            </div>
                            <div class="button-container">
                                <button type="submit" (click)="add()">Enviar</button>
                                <button type="submit" class="cancel-button" (click)="redirigirAAddRoles()">Cancelar</button>
                            </div>
                        </div>
                    </div>
                </form>
            </div>

        </main>
    </div>
</div>